List Classify Runs
List all classify runs.
Returns a summary of each run. Use GET /classify_runs/{id} to retrieve the full object including output and config.
List all classify runs.
Returns a summary of each run. Use GET /classify_runs/{id} to retrieve the full object including output and config.
Bearer authentication of the form Bearer <token>, where token is your auth token.
Filters classify runs by the classifier ID. If not provided, all classify runs are returned.
Example: "cl_BMdfq_yWM3sT-ZzvCnA3f"
Filters runs by the batch they belong to. Only returns runs created as part of the specified batch.
Example: "bpr_Xj8mK2pL9nR4vT7qY5wZ"
Filters runs by the name of the file. Only returns runs where the file name contains this string.
Example: "invoice"
The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.
Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.
The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.
Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.
API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.
The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.
The status of a processor run (extract, classify, or split):
"PENDING" - The run has been created and is waiting to be processed"PROCESSING" - The run is in progress"PROCESSED" - The run completed successfully"FAILED" - The run failed"CANCELLED" - The run was cancelledYou will get a list of summaries for each classify run. These are shortened versions of the full classify run object.
To get the full object, use the Get Classify Run endpoint.